|
|
|
|
|
|
|
|
|
|
xen-devel
[Xen-devel] Re: [PATCH] add check for python-devel to tools build
Jan Beulich wrote:
Again, this must be given exec permission after applying.
Signed-off-by: Jan Beulich <jbeulich@xxxxxxxxxx>
Index: 2006-11-17/tools/check/check_python_devel
===================================================================
--- /dev/null 1970-01-01 00:00:00.000000000 +0000
+++ 2006-11-17/tools/check/check_python_devel 2006-11-21 12:03:08.000000000
+0100
@@ -0,0 +1,13 @@
+#!/bin/bash
+# CHECK-BUILD
+
+function error {
+ echo
+ echo " *** Check for python development environment FAILED"
+ exit 1
+}
+
+lib=lib
+test "$(uname -m)" != x86_64 || lib=lib64
+set -e
+[ -e /usr/$lib/python/config/Makefile ] || error
There is no /usr/lib/python/config/Makefile on Ubuntu. You should be
okay if you also check for /usr/lib/python-2.[345]/config/Makefile.
Regards,
Anthony Liguori
_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel
|
|
|
|
|